/**
 * $Id: AddressInfo.java,v 1.1 2006/03/21 12:01:20 cvs Exp $
 * 쌠:       Copyright (c) 2006 ASKA Systems,Ltd. All right reserved.<p>
 * Ж:       ASKA Systems,Ltd.<p>
 */
package com.askasystems.MailAdmin;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.LinkedList;

public class AddressInfo implements Serializable  {
	
	static final long serialVersionUID = 3472035937203929416L;
	static boolean pBVirtdomains_ ;
	String pSAddress ;
	String pSMailboxes = "";
	String pSDomain = "";
	String pSName = "";
	boolean pBActive = true;
	Date pDateCreated ;
	Date pDateModified ;
	List<MailboxInfo> pLsMailboxes ;
	List<String> pLsRestMailboxes ;
	
	public String getAddress () {
		return pSAddress ;
	}
	
	public String getMailboxes () {
		return pSMailboxes ;
	}
	
	public String getDomain () {
		return pSDomain ;
	}
	
	public String getName () {
		return pSName ;
	}
	
	public List<MailboxInfo> getMailboxList() {
		
		return pLsMailboxes ;
	}
	
	public List<String> getRestMailboxList() {
		return pLsRestMailboxes ;
	}
	
	public boolean isActive () {
		return pBActive ;
	}
	
	public boolean isVirtdomains () {
		return pBVirtdomains_ ;
	}
		
	Date getCreated() {
		return pDateCreated ;
	}
	
	Date getModified() {
		return pDateModified ;
	}
	
	void setMailboxes(String sMailBoxes) {
		
		pSMailboxes = sMailBoxes ;
		
		pLsMailboxes  = new LinkedList<MailboxInfo>() ;
		String[] sBoxes = pSMailboxes.split(",") ;
		for (int i = 0; i < sBoxes.length; i++){
			MailboxInfo mailboxInfo = new MailboxInfo() ;
			mailboxInfo.pSId = sBoxes[i].trim() ;
			pLsMailboxes.add(mailboxInfo) ;
		}
		
		
	}

}
