/**
 * $Id: Base64.java,v 1.1 2006/03/21 12:01:20 cvs Exp $
 * 쌠:       Copyright (c) 2004 ASKA Systems,Ltd. All right reserved.<p>
 * Ж:       ASKA Systems,Ltd.<p>
 */
package com.askasystems.MailAdmin;

import java.io.UnsupportedEncodingException;

/**
 * Base64GR[_ <BR>
 * 
 * @author Yasuhiro Yamamoto
 * @version 0.1
 */
public class Base64 {

	public Base64() {
	}

	/* ϊz */
	private final static char b64code[] = { 'A', 'B', 'C', 'D', 'E', 'F', 'G',
			'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T',
			'U', 'V', 'W', 'X', 'Y', 'Z', 'a', 'b', 'c', 'd', 'e', 'f', 'g',
			'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't',
			'u', 'v', 'w', 'x', 'y', 'z', '0', '1', '2', '3', '4', '5', '6',
			'7', '8', '9', '+', '/' };

	/**
	 * oCgzBase64GR[h܂B
	 * 
	 * @param odata
	 *            ϊoCgz
	 * @return ϊꂽ
	 * @author yamamoto
	 * @version 1.0
	 * @exception UnsupportedEncodingException
	 *                {GR[hsꍇɔB
	 */

	public static String encode(byte[] odata) {
		byte a, b, c;
		StringBuffer sEnc = new StringBuffer();
		int b6 = odata.length / 3;
		int jy = odata.length % 3;
		for (int i = 0; i < b6; i++) {
			a = odata[(3 * i)];
			b = odata[(3 * i + 1)];
			c = odata[(3 * i + 2)];
			sEnc.append(b64code[((a >>> 2) & 0x3f)]);
			sEnc.append(b64code[((a << 4) & 0x30) + ((b >>> 4) & 0x0f)]);
			sEnc.append(b64code[((b << 2) & 0x3c) + ((c >>> 6) & 0x03)]);
			sEnc.append(b64code[(c & 0x3F)]);
		}
		if (jy == 1) {
			a = odata[(odata.length - 1)];
			sEnc.append(b64code[((a >>> 2) & 0x3f)]);
			sEnc.append(b64code[((a << 4) & 0x30)]);
			sEnc.append("==");
		}
		if (jy == 2) {
			a = odata[(odata.length - 2)];
			b = odata[(odata.length - 1)];
			sEnc.append(b64code[((a >>> 2) & 0x3f)]);
			sEnc.append(b64code[((a << 4) & 0x30) + ((b >>> 4) & 0x0f)]);
			sEnc.append(b64code[((b << 2) & 0x3c)]);
			sEnc.append("=");
		}
		return sEnc.toString();
	}

}