/**
 * $Id: GateKeeper.java,v 1.1 2006/03/21 12:01:20 cvs Exp $
 * 쌠:       Copyright (c) 2006 ASKA Systems,Ltd. All right reserved.<p>
 * Ж:       ASKA Systems,Ltd.<p>
 */
package com.askasystems.MailAdmin;

import java.util.List;

/**
 * F؃C^[tF[X <BR>
 * 
 * @author Yasuhiro Yamamoto
 * @version 0.1
 */
interface GateKeeper {

	Ticket check(String sDomain, String sId, String sPassword)
			throws AuthenticationException;

	void changePassword(String sId, String sDomain, String sPassword)
			throws AuthenticationException;

	void addAdmin(String sId, String sDomain, String sPassword);

	void removeAdmin(String sId, String sDomain);

	void changeActive(String sId, String sDomain, boolean bActive);
	
	List<Ticket> getAdminList(String sDomain) ;
	
	List<Ticket> getAbsoluteAdminList() ;
	
	boolean Exists(String sId, String sDomain) ;

	int getAdminNumber(String sDomain);

}
