/**
 * $Id: LogoutAction.java,v 1.1 2006/04/17 17:15:10 cvs Exp $
 * 쌠:       Copyright (c) 2006 ASKA Systems,Ltd. All right reserved.<p>
 * Ж:       ASKA Systems,Ltd.<p>
 */
package com.askasystems.MailAdmin;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.validator.DynaValidatorForm;

/**
 * Ǘ҃OAEgAction <BR>
 * 
 * @author Yasuhiro Yamamoto
 * @version 0.1
 */
public class LogoutAction extends Action {

	static Logger pLogger_ ;
	
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {

		DynaValidatorForm lForm = (DynaValidatorForm) form;
		String sDomain = lForm.getString("domain");
		
		HttpSession session = request.getSession();
		Ticket ticket = (Ticket) session.getAttribute("ticket");
		
		pLogger_.log(ticket,"Logout","") ;
		
		request.setAttribute("domain",sDomain) ;
		session.removeAttribute("ticket");

		return mapping.findForward("login");

	}

}
