/**
 * $Id: MailboxManager.java,v 1.1.2.1 2006/07/11 17:57:14 cvs Exp $
 * 쌠:       Copyright (c) 2006 ASKA Systems,Ltd. All right reserved.<p>
 * Ж:       ASKA Systems,Ltd.<p>
 */
package com.askasystems.MailAdmin;

import java.util.*;

/**
 * [{bNXǗC^[tF[X <BR>
 * 
 * @author Yasuhiro Yamamoto
 * @version 0.1
 */
interface MailboxManager {

	void addMailbox(String sId, String sPassword, String sDomain,
			String sName, int nQuota);

	void removeMailbox(String sId);
	
	void updateMailbox(String sId, String sPassword, String sName, int nQuota);
	
	void changeActive(String sId, boolean bActive);

	List<MailboxInfo> getMailboxList(String sDomainName);

	MailboxInfo getMailboxInfo(String sId);
	
	boolean Exists(String sId) ;
	
	int getMailBoxNumber(String sDomainName);

}
