#!/usr/bin/perl

# admin ID (If virtdomains is 'yes' this is global admin.)
$admin = 'cyrus';

# admin password
$password = 'cyrus';

# host name (If virtdomains is 'yes' this belongs to defaultdomain.)
$host = 'kilimanjaro.lan.yandy.jp';

# This is usually '.', but this is '/' if unixhierarchysep is 'yes'.
$separator = '/';

use Cyrus::IMAP::Admin;

my $client = Cyrus::IMAP::Admin->new($host);
($result, $text) = $client->send(undef, undef, 'LOGIN %s %s', $admin, $password);
print $result . " : LOGIN  : " . $text . "\n";

$mailbox = "user$separator$ARGV[1]" ;

if ($ARGV[0] eq "-cm") {

 ($result, $text) = $client->send(undef, undef, 'CREATE %s', $mailbox);
 print $result . " : CREATE : " . $text . "\n";
 ($result, $text) = $client->send(undef, undef, 'SETACL %s %s lrswipcda', $mailbox, $ARGV[1]);
 print $result . " : SETACL : " . $text . "\n";

} elsif ($ARGV[0] eq "-dm") {

 ($result, $text) = $client->send(undef, undef, 'SETACL %s %s c', $mailbox, $admin); 
 print $result . " : SETACL : " . $text . "\n";
 ($result, $text) = $client->send(undef, undef, 'DELETE %s', $mailbox);
 print $result . " : DELETE : " . $text . "\n";

} elsif ($ARGV[0] eq "-lq") {

 for ($i = 1; $i < @ARGV; $i++) {
  %quota = $client->quota("user$separator$ARGV[$i]");
  $q = $quota{"STORAGE"};
  print "QUOTA:" . $q->[0] . "/" . $q->[1] . "\n";
 }

} elsif ($ARGV[0] eq "-sq") {

 if($ARGV[2] eq 'none') {
  @q = ($mailbox) ;
 } else {
  @q = ($mailbox, "STORAGE", $ARGV[2]) ;
 }
 $rc = $client->setquota(@q);
 print $rc . "\n";

}

$client->send(undef, undef, 'QUIT');

