/**
 * $Id: ConfigLoadHandler.java,v 1.1 2006/03/21 12:01:20 cvs Exp $
 * 쌠:       Copyright (c) 2005 ASKA Systems,Ltd. All right reserved.<p>
 * Ж:       ASKA Systems,Ltd.<p>
 */
package com.askasystems.MailAdmin;

import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.*;

import java.util.*;

/**
 * ݒǂݍSAXHandlerłB<BR>
 * <br>
 * @author Yasuhiro Yamamoto
 * @version 0.0
 */
public class ConfigLoadHandler extends DefaultHandler {

	HashMap<String, String> pHsMapParam ;
	private String pvSValue = "";
	private String pvSName = "";

	public void startDocument() {
		
		pHsMapParam = new HashMap<String, String>() ;
		
	}

	public void startElement(
		String uri,
		String localName,
		String qName,
		Attributes attributes)
		throws SAXException {
		pvSValue = "";
	}

	public void endElement(String uri, String localName, String qName)
		throws SAXException {
		
		if (qName.equals("param_name")) {
			pvSName = pvSValue ;
		} else if (qName.equals("param_value")) {
			pHsMapParam.put(pvSName, pvSValue) ;
		}
	}

	public void characters(char[] ch, int start, int length)
		throws SAXException {
		pvSValue += new String(ch, start, length);
	}

}
