/**
 * $Id: CyradmAgent.java,v 1.1.2.1 2006/07/11 17:57:14 cvs Exp $
 * 쌠:       Copyright (c) 2006 ASKA Systems,Ltd. All right reserved.<p>
 * Ж:       ASKA Systems,Ltd.<p>
 */
package com.askasystems.MailAdmin;

import java.io.InputStream;
import java.io.BufferedReader;
import java.io.InputStreamReader;

class CyradmAgent {

	static String pSScriptPath_;

	static String createMailbox(String sId) {

		return exec(pSScriptPath_ + " -cm " + sId);
	}

	static String deleteMailbox(String sId) {

		return exec(pSScriptPath_ + " -dm " + sId);
	}
	
	static String listQuota(String sId) {

		return exec(pSScriptPath_ + " -lq " + sId);
	}
	
	static String setQuota(String sId, String sQuota) {

		return exec(pSScriptPath_ + " -sq " + sId + " " + sQuota);
	}

	static String exec(String sCommand) {

		Process process = null;
		String sMessage = "";

		try {
			
			process = Runtime.getRuntime().exec(sCommand);
			InputStream is = process.getInputStream();
			BufferedReader br = new BufferedReader(new InputStreamReader(is));
			String sLine;
			while ((sLine = br.readLine()) != null) {
				sMessage += "[" + sLine + "]";
			}

		} catch (Exception e) {
			
			System.out.println(sMessage);
			e.printStackTrace();
		}
		
		return sMessage ;
	}
}
