/**
 * $Id: DomainInfo.java,v 1.1.2.1 2006/07/11 17:57:14 cvs Exp $
 * 쌠:       Copyright (c) 2006 ASKA Systems,Ltd. All right reserved.<p>
 * Ж:       ASKA Systems,Ltd.<p>
 */
package com.askasystems.MailAdmin;

import java.io.Serializable;
import java.util.*;

public class DomainInfo implements Serializable {
	
	static final long serialVersionUID = -2104374947836995549L;
	static boolean pBVirtdomains_ ;
	static boolean pBQuota_ ;
	String pSDomain ;
	String pSDescription = "";
	String pSPrefix = "";
	String pSSuffix = "";
	int pNQuota = -1;
	String pSUsed = "H";
	String pSQuotable = "";
	int pNQuotable = -1 ;
	int pNSizeLevel = 0;
	boolean pBActive = true;
	boolean pBAdmin = false;
	Date pDateCreated ;
	Date pDateModified ;
	
	public void setDomain (String sDomain) {
		pSDomain = sDomain;
	}
	
	public String getDomain () {
		return pSDomain ;
	}
	
	public String getDescription () {
		return pSDescription ;
	}
	
	public String getPrefix () {
		return pSPrefix ;
	}
	
	public String getSuffix () {
		return pSSuffix ;
	}
	
	public int getQuota () {
		return pNQuota ;
	}
	
	public String getQuotaString () {
		
		String sQuota = "";
		if(pNQuota > -1) {
			sQuota = String.valueOf(pNQuota) ;
		}
		
		return sQuota ;
	}
	
	public int getQuotable () {
		return pNQuotable ;
	}
	
	public String getUsedString () {
		return pSUsed ;
	}
	
	public String getQuotableString () {
		return pSQuotable ;
	}
	
	public int getSizeLevel() {
		return pNSizeLevel ;
	}
	
	public boolean isActive () {
		return pBActive ;
	}
	
	public boolean isAdmin () {
		return pBAdmin ;
	}
	
	public boolean isVirtdomains () {
		return pBVirtdomains_ ;
	}
	
	public boolean isQuotaValid(){
		return pBQuota_ ;
	}
	
	public Date getCreated() {
		return pDateCreated ;
	}
	
	public Date getModified() {
		return pDateModified ;
	}

}
