/**
 * $Id: DomainManager.java,v 1.1.2.1 2006/07/11 17:57:14 cvs Exp $
 * 쌠:       Copyright (c) 2006 ASKA Systems,Ltd. All right reserved.<p>
 * Ж:       ASKA Systems,Ltd.<p>
 */
package com.askasystems.MailAdmin;

import java.util.*;

/**
 * hCǗC^[tF[X <BR>
 * 
 * @author Yasuhiro Yamamoto
 * @version 0.1
 */
interface DomainManager {

	void addDomain(String sDomain, String sDescription, String sPrefix,
			String sSuffix, int nQuota);

	void removeDomain(String sDomain);

	void updateDomain(String sDomain, String sDescription, int nQuota);

	void changeActive(String sDomain, boolean bActive);

	List<DomainInfo> getDomainList();

	DomainInfo getDomainInfo(String sDomain);

	boolean Exists(String sDomain);

	boolean noAdmin();

}
