/**
 * $Id: LogAction.java,v 1.1 2006/03/21 12:01:20 cvs Exp $
 * 쌠:       Copyright (c) 2006 ASKA Systems,Ltd. All right reserved.<p>
 * Ж:       ASKA Systems,Ltd.<p>
 */
package com.askasystems.MailAdmin;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.struts.actions.DispatchAction;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.validator.DynaValidatorForm;

import java.util.Date;

/**
 * LogAction <BR>
 * 
 * @author Yasuhiro Yamamoto
 * @version 0.1
 */
public class LogAction extends DispatchAction {

	static DomainManager pDomainManager_;
	
	static Logger pLogger_;

	public ActionForward showNow(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {

		DynaValidatorForm lForm = (DynaValidatorForm) form;
		String sDomain = lForm.getString("domain");
		
		HttpSession session = request.getSession();
		Ticket ticket = (Ticket) session.getAttribute("ticket");
		if (ticket == null)
			throw new SessionException();
		if (!ticket.isActive()
				|| (!ticket.isAdmin() && !ticket.getDomain().equals(sDomain)))
			throw new PermissionException();
		
		String sFrom = lForm.getString("from");
		
		Date dateStart ;
		Date dateEnd = new Date() ;
		if(sFrom.equals("d")) {
			dateStart = new Date(dateEnd.getTime() - 86400000) ;
		} else if (sFrom.equals("w")) {
			dateStart = new Date(dateEnd.getTime() - 604800000) ;
		} else if (sFrom.equals("m")) {
			dateStart = new Date(dateEnd.getTime() - 2952000000L) ;
		} else if (sFrom.equals("a")) {
			dateStart = new Date(0) ;
		} else {
			dateStart = new Date(dateEnd.getTime() - 3600000) ;
		}
		
		session.setAttribute("logs", pLogger_.getLog(sDomain,dateStart,dateEnd));

		return mapping.findForward("log");

	}

}
