/**
 * $Id: MailboxInfo.java,v 1.1.2.1 2006/07/11 17:57:14 cvs Exp $
 * 쌠:       Copyright (c) 2006 ASKA Systems,Ltd. All right reserved.<p>
 * Ж:       ASKA Systems,Ltd.<p>
 */
package com.askasystems.MailAdmin;

import java.io.Serializable;
import java.util.Date;

public class MailboxInfo implements Serializable{
	
	static final long serialVersionUID = 2743644453546269970L;
	static String pSCyrusImapdAdmin_ ;
	String pSId ;
	String pSPassword = "";
	String pSDomain = "";
	String pSName = "";
	int pNUsed = -1;
	String pSUsed = "H";
	int pNQuota = -1;
	int pNSizeLevel = 0;
	boolean pBActive = true;
	Date pDateCreated ;
	Date pDateModified ;
	
	public String getId () {
		return pSId ;
	}
	
	public String getPassword () {
		return pSPassword ;
	}
	
	public String getDomain () {
		return pSDomain ;
	}
	
	public String getName () {
		return pSName ;
	}
	
	public int getUsed() {
		return pNUsed ;
	}
	
	public String getUsedString() {
		return pSUsed ;
	}
	
	public int getQuota() {
		return pNQuota ;
	}
	
	public String getQuotaString() {
		
		String sQuota = "";
		if(pNQuota > -1) {
			sQuota = String.valueOf(pNQuota) ;
		}
		
		return sQuota ;
	}
	
	public int getSizeLevel() {
		return pNSizeLevel ;
	}
	
	public boolean isActive () {
		return pBActive ;
	}
	
	public boolean isAdmin () {
		
		return pSId.equals(pSCyrusImapdAdmin_) ;
	}
		
	public Date getCreated() {
		return pDateCreated ;
	}
	
	public Date getModified() {
		return pDateModified ;
	}

}
