/**
 * $Id: VirtualMapManager.java,v 1.1 2006/03/21 12:01:20 cvs Exp $
 * 쌠:       Copyright (c) 2006 ASKA Systems,Ltd. All right reserved.<p>
 * Ж:       ASKA Systems,Ltd.<p>
 */
package com.askasystems.MailAdmin;

import java.util.*;

/**
 * VirtualMapǗC^[tF[X <BR>
 * 
 * @author Yasuhiro Yamamoto
 * @version 0.1
 */
interface VirtualMapManager {
	
	void addAddress(String sMailAddress, String sDomain, String sName, String sMailbox);
	
	void addMailbox(String sMailAddress, String sMailbox) ;

	void removeAddress(String sMailAddress);
	
	void removeMailbox(String sMailAddress, String sMailbox);
	
	void changeActive(String sMailAddress, boolean bActive);
	
	AddressInfo getAddress(String sMailAddress);
	
	AddressInfo getNullAddress(String sDomain);
	
	List<AddressInfo> getAddressList(String sDomain) ;

	int getAddressNumber(String sDomain);
	
	boolean Exists(String sMailAddress) ;
	
}
